GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "e3b7068d-e88e-413e-975f-bac5a1c608e3",
      "CompanyId": "e0fdcf69-dd2e-4a91-9622-fb29e7531017",
      "TaskStatusTypeId": "57ec5000-f461-4826-8c99-825cd7cb3cb1",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "c3099f74-0287-4930-928c-05d4cc1f5cba",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "e3b7068d-e88e-413e-975f-bac5a1c608e3",
      "CompanyId": "e0fdcf69-dd2e-4a91-9622-fb29e7531017",
      "TaskStatusTypeId": "57ec5000-f461-4826-8c99-825cd7cb3cb1",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "c3099f74-0287-4930-928c-05d4cc1f5cba",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}